// Code generated by mockery v2.10.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	dao "gitlab.informatika.org/rahmahkn/if3250_2022_03_ensiklo/internal/app/model/dao"
)

// FileRepo is an autogenerated mock type for the FileRepo type
type FileRepo struct {
	mock.Mock
}

// AddFile provides a mock function with given fields: file
func (_m *FileRepo) AddFile(file dao.File) (dao.File, error) {
	ret := _m.Called(file)

	var r0 dao.File
	if rf, ok := ret.Get(0).(func(dao.File) dao.File); ok {
		r0 = rf(file)
	} else {
		r0 = ret.Get(0).(dao.File)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(dao.File) error); ok {
		r1 = rf(file)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetFile provides a mock function with given fields: code
func (_m *FileRepo) GetFile(code string) (dao.File, error) {
	ret := _m.Called(code)

	var r0 dao.File
	if rf, ok := ret.Get(0).(func(string) dao.File); ok {
		r0 = rf(code)
	} else {
		r0 = ret.Get(0).(dao.File)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(code)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
